package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.TrsAttachment;

/**
 * 智能报告Service接口
 * 
 * @author ruoyi
 * @date 2025-03-30
 */
public interface ITrsAttachmentService 
{
    /**
     * 查询智能报告
     * 
     * @param id 智能报告主键
     * @return 智能报告
     */
    public TrsAttachment selectTrsAttachmentById(Long id);

    /**
     * 查询智能报告列表
     * 
     * @param trsAttachment 智能报告
     * @return 智能报告集合
     */
    public List<TrsAttachment> selectTrsAttachmentList(TrsAttachment trsAttachment);

    /**
     * 新增智能报告
     * 
     * @param trsAttachment 智能报告
     * @return 结果
     */
    public int insertTrsAttachment(TrsAttachment trsAttachment);

    /**
     * 修改智能报告
     * 
     * @param trsAttachment 智能报告
     * @return 结果
     */
    public int updateTrsAttachment(TrsAttachment trsAttachment);

    /**
     * 批量删除智能报告
     * 
     * @param ids 需要删除的智能报告主键集合
     * @return 结果
     */
    public int deleteTrsAttachmentByIds(String ids);

    /**
     * 删除智能报告信息
     * 
     * @param id 智能报告主键
     * @return 结果
     */
    public int deleteTrsAttachmentById(Long id);
}
